
package com.netwisd.biz.demo.service;

import com.netwisd.common.db.data.IncloudService;
import com.netwisd.biz.demo.entity.TestDetail;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.netwisd.biz.demo.dto.TestDetailDto;
import com.netwisd.biz.demo.vo.TestDetailVo;
import com.netwisd.biz.demo.dto.TestDto;
import java.util.List;

/**
 * @Description 测试子表1
 * @author incoder@netwisd.com
 * @date 2024-04-30 14:24:43
 */
public interface TestDetailService extends IncloudService<TestDetail, TestDetailDto , TestDetailVo> {
    void saveByParent(TestDto TestDto);
    void updateByParent(TestDto TestDto);
    Boolean deleteByFkId(Long id);
    List<TestDetailVo> getByFkIdVo(Long id);
}
